## scilab 2024.1.0+dfsg

=== DESCRIPTION ===
Toolbox: toolbox_5V6

Title: Toolbox Test 5 for Scilab 6

Summary: Toolbox Test 5 for Scilab 6

Version: 1.0

Author: vincent.couvert@scilab-enterprises.com

Maintainer: Vincent Couvert <vincent.couvert@scilab-enterprises.com>

Category: Tests

Entity: Scilab Enterprises

WebSite: http://forge.scilab.org/index.php/p/atoms-tests/

URL: http://atoms.scilab.org/toolboxes/toolbox_5V6/1.0

License: CeCILL

ScilabVersion: >= 6.0

Depends: ~ toolbox_4V6 any

Date: 2015-06-04 15:38:58

Description: Test the &quot;ATOMS&quot; system
 
 It contains 4 functions :
  - t5_version()
  - t5_function1()
  - t5_function2()
  - t5_function3()

=== scilab/contrib/xcos_toolbox_skeleton/DESCRIPTION ===
// Modify this file to provide a description of your toolbox.
// This file is  used by Atoms GUI in scilab, to show information about the toolbox.
//
// Note that it will NOT be used when publishing your toolbox on https://atoms.scilab.org;
// the present file is only used if you distribute your toolbox yourself.
// On the https://atoms.scilab.org site, only the information you provide there is used.
//
//
// Lines starting with // are comments
// (you can remove all the comments designed to help you)
// Lines starting with a space are continuation of the previous field.
// Empty lines separate fields.


// Unique identifier for this toolbox.
// It must be alphanumeric, start with a letter and contain neither space
// nor special characters other than underscore or dash.
Toolbox: toolbox_skeleton

// Human-friendly name for your toolbox
Title: Toolbox Skeleton

// One-line description for your toolbox
Summary: Skeleton of a valid atoms package

// Version number, in format 'major.minor.patch', or
// 'major.minor.patch', where all fields are numbers.
// If you are just starting your toolbox, you should use '0.1' or '0.1.0'.
// Use '1.0' or '1.0.0' for a tested, good quality first version.
Version: 0.1.0

// Name(s) of the author(s) of this toolbox.
// They are usually the original copyright holders
// (persons or entities)
Author: Your Name
  Other Author

// Name(s) and email address(es) of the person(s) maintaining this toolbox
Maintainer: Your Name <name@address.com>
  Other Maintainer <othername@address.com>

// Categories that this toolbox belongs to.
// The toolbox will appear in the Scilab Atoms GUI
// under the categories that you select here.
Category: Xcos

// Name of the institution (company, university, lab...) who has developped the toolbox.
// If you developped the toolbox as an individual, then just enter "private individual"
Entity: Personnal

// Optional website that has more information about this toolbox
WebSite: https://www.scilab.org

// License under which the toolbox will be published
License: GPL 2.0

// Version of Scilab supported by this toolbox,
// prefixed by =, >= ...
ScilabVersion: >= 6.0

// Unique identifiers of other toolbox(es) that must be installed in order
// this toolboxes to work. Atoms will automatically ensure that
// the dependent toolboxes listed here are installed on the user's
// Scilab installation.
// If multiple values, put one per line (starting each line with a space)>
Depends: 

// Creation date
Date: 2016-03-01

Description: Succinct presentation of this toolbox.

 It should cover:
 - What problem the toolbox solves,
 - If it requires any third-party software or hardware,
   and how to install them,
 - Some basics about how to use it, such as an example of use.
 but ensuring that each line starts with a space.

=== scilab/modules/differential_equations/src/patched_sundials/src/cvodes/CMakeLists.txt ===
# ---------------------------------------------------------------
# Programmer(s): Daniel R. Reynolds @ SMU
#                Radu Serban, Cody J. Balos @ LLNL
# ---------------------------------------------------------------
# SUNDIALS Copyright Start
# Copyright (c) 2002-2023, Lawrence Livermore National Security
# and Southern Methodist University.
# All rights reserved.
#
# See the top-level LICENSE and NOTICE files for details.
#
# SPDX-License-Identifier: BSD-3-Clause
# SUNDIALS Copyright End
# ---------------------------------------------------------------
# CMakeLists.txt file for the CVODES library
# ---------------------------------------------------------------

install(CODE "MESSAGE(\"\nInstall CVODES\n\")")

# Add variable cvodes_SOURCES with the sources for the CVODES library
set(cvodes_SOURCES
  cvodea.c
  cvodea_io.c
  cvodes.c
  cvodes_bandpre.c
  cvodes_bbdpre.c
  cvodes_diag.c
  cvodes_direct.c
  cvodes_io.c
  cvodes_ls.c
  cvodes_nls.c
  cvodes_nls_sim.c
  cvodes_nls_stg.c
  cvodes_nls_stg1.c
  cvodes_proj.c
  cvodes_spils.c
  )

# Add variable cvodes_HEADERS with the exported CVODES header files
set(cvodes_HEADERS
  cvodes.h
  cvodes_bandpre.h
  cvodes_bbdpre.h
  cvodes_diag.h
  cvodes_direct.h
  cvodes_ls.h
  cvodes_proj.h
  cvodes_spils.h
  )

# Add prefix with complete path to the CVODES header files
add_prefix(${SUNDIALS_SOURCE_DIR}/include/cvodes/ cvodes_HEADERS)

if(ENABLE_CALIPER AND SUNDIALS_BUILD_WITH_PROFILING)
  set(_include_caliper_if_needed PUBLIC ${caliper_INCLUDE_DIR})
  set(_link_caliper_if_needed PUBLIC caliper)
endif()

# Create the library
sundials_add_library(sundials_cvodes
  SOURCES
    ${cvodes_SOURCES}
  HEADERS
    ${cvodes_HEADERS}
  INCLUDE_SUBDIR
    cvodes
  INCLUDE_DIRECTORIES
    ${_include_caliper_if_needed}
  OBJECT_LIBRARIES
    sundials_generic_obj
    sundials_sunmemsys_obj
    sundials_nvecserial_obj
    sundials_sunmatrixband_obj
    sundials_sunmatrixdense_obj
    sundials_sunmatrixsparse_obj
    sundials_sunlinsolband_obj
    sundials_sunlinsoldense_obj
    sundials_sunlinsolspbcgs_obj
    sundials_sunlinsolspfgmr_obj
    sundials_sunlinsolspgmr_obj
    sundials_sunlinsolsptfqmr_obj
    sundials_sunlinsolpcg_obj
    sundials_sunnonlinsolnewton_obj
    sundials_sunnonlinsolfixedpoint_obj
  LINK_LIBRARIES
    # Link to caliper if conditions are met.
    ${_link_caliper_if_needed}
  OUTPUT_NAME
    sundials_cvodes
  VERSION
    ${cvodeslib_VERSION}
  SOVERSION
    ${cvodeslib_SOVERSION}
)

# Finished CVODES
message(STATUS "Added CVODES module")

# Add F2003 module if the interface is enabled
if(BUILD_FORTRAN_MODULE_INTERFACE)
  add_subdirectory(fmod)
endif()

=== scilab/modules/differential_equations/src/patched_sundials/src/cvodes/fmod/CMakeLists.txt ===
# ---------------------------------------------------------------
# Programmer:  Cody J. Balos @ LLNL
# ---------------------------------------------------------------
# SUNDIALS Copyright Start
# Copyright (c) 2002-2023, Lawrence Livermore National Security
# and Southern Methodist University.
# All rights reserved.
#
# See the top-level LICENSE and NOTICE files for details.
#
# SPDX-License-Identifier: BSD-3-Clause
# SUNDIALS Copyright End
# ---------------------------------------------------------------
# CMakeLists.txt file for the F2003 cvodes object library

set(cvodes_SOURCES fcvodes_mod.f90 fcvodes_mod.c)

# Create the library
sundials_add_f2003_library(sundials_fcvodes_mod
  SOURCES
    ${cvodes_SOURCES}
  OBJECT_LIBRARIES
    sundials_fgeneric_mod_obj
    sundials_fnvecserial_mod_obj
    sundials_fsunmatrixband_mod_obj
    sundials_fsunmatrixdense_mod_obj
    sundials_fsunmatrixsparse_mod_obj
    sundials_fsunlinsolband_mod_obj
    sundials_fsunlinsoldense_mod_obj
    sundials_fsunlinsolspbcgs_mod_obj
    sundials_fsunlinsolspfgmr_mod_obj
    sundials_fsunlinsolspgmr_mod_obj
    sundials_fsunlinsolsptfqmr_mod_obj
    sundials_fsunlinsolpcg_mod_obj
    sundials_fsunnonlinsolnewton_mod_obj
    sundials_fsunnonlinsolfixedpoint_mod_obj
  OUTPUT_NAME
    sundials_fcvodes_mod
  VERSION
    ${cvodeslib_VERSION}
  SOVERSION
    ${cvodeslib_SOVERSION}
)

message(STATUS "Added CVODES F2003 interface")

=== debian/control ===
Source: scilab
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Julien Puydt <jpuydt@debian.org>,
           Pierre Gruet <pgt@debian.org>
Build-Depends: debhelper-compat (= 13),
               bash-completion,
               chrpath,
               fakeroot,
               gfortran,
               javahelper,
               libarchive-dev,
               libcurl4-openssl-dev,
               libnum-ocaml-dev,
               libpcre2-dev,
               libxml2-dev,
               ocaml-findlib,
               pkgconf,
               tcl-dev,
               time,
               tk-dev,
# numerical libraries
               libarpack2-dev,
               libblas-dev | libblas.so,
               libeigen3-dev,
               liblapack-dev,
# Java deps
               ant,
               default-jdk,
               libactivation-java,
               libflexdock-java,
               libgl-dev,
               libjakarta-activation-java,
               libjaxb-java,
               libjgoodies-looks-java,
               libjogl2-java (>= 2.4.0+dfsg),
               libjrosetta-java,
               liblucene8-java,
               libskinlf-java,
# graphic
               libfreehep-graphicsio-emf-java,
               libfreehep-graphicsio-java,
               libfreehep-graphics2d-java,
               libfreehep-util-java,
# Documentation
               docbook-xsl,
               fop,
               javahelp2,
               libavalon-framework-java,
               libbatik-java,
               libjeuclid-core-java,
               libsaxonhe-java,
               libxml-commons-external-java,
# Optional Scilab features
               libfftw3-dev,
               libmatio-dev,
               libsuitesparse-dev,
# latex rendering
               libjlatexmath-fop-java,
               libjlatexmath-java,
# Xcos
               libhdf5-dev,
               libjgraphx-java,
# MPI
               mpi-default-dev,
# Java binding
               libeclipse-jdt-core-java,
# Unitary testing
               ant-optional <!nocheck>,
               junit4 <!nocheck>,
               libcobertura-java <!nocheck>
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://www.scilab.org
Vcs-Git: https://salsa.debian.org/science-team/scilab.git
Vcs-Browser: https://salsa.debian.org/science-team/scilab

Package: scilab-cli
Architecture: all
Depends: scilab-data (= ${binary:Version}),
         scilab-include (>= ${source:Version}),
         scilab-minimal-bin (>= ${source:Version}),
         ${misc:Depends}
# scilab-include is installed by default since it is widely used by many
# toolboxes
Suggests: gcc,
          gfortran
# For the dynamic link
Description: Scientific software package - Command Line Interpreter
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package provides Scilab as Command Line Interpreter (CLI). This package
 provides Scilab as a computing engine or script interpreter.
 Please install the package "scilab" to have all features.

Package: scilab
Architecture: all
Depends: scilab-cli (>= ${source:Version}),
         scilab-full-bin (>= ${binary:Version}),
         scilab-full-bin (<< ${binary:Version}.1~),
         ${misc:Depends}
Recommends: scilab-doc (= ${binary:Version}),
Suggests: scilab-doc-fr (= ${binary:Version}),
          scilab-doc-ja (= ${binary:Version}),
          scilab-doc-pt-br (= ${binary:Version})
Description: Scientific software package for numerical computations
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for control, signal
 processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 For a minimum version of scilab, install package "scilab-cli".

Package: scilab-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (data files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the data files for Scilab.


Package: scilab-include
Architecture: any
Depends: ${misc:Depends}
Description: Scientific software package for numerical computations (include files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the include files for Scilab (used in the dynamic link).


Package: scilab-minimal-bin
Architecture: any
Depends: default-jre-headless,
         scilab-data (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: scilab-bin,
          scilab-full-bin (<< 5.4.1-3)
Breaks: scilab-full-bin (<< 5.4.1-3)
Description: Scientific software package for numerical computations (minimal binary files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.
 All mandatory libraries for scilab-cli are shipped in this package.
 Please install the package "scilab" to have all features.

Package: scilab-full-bin
Architecture: any
Depends: bwidget,
         default-jre,
         docbook-xsl,
         fop,
         javahelp2,
         libactivation-java,
         libavalon-framework-java,
         libbatik-java,
         libeclipse-jdt-core-java,
         libflexdock-java,
         libfreehep-graphicsio-emf-java,
         libfreehep-graphicsio-java,
         libfreehep-graphics2d-java,
         libfreehep-util-java,
         libjakarta-activation-java,
         libjaxb-java,
         libjeuclid-core-java,
         libjgoodies-looks-java,
         libjgraphx-java,
         libjlatexmath-fop-java,
         libjlatexmath-java,
         libjogl2-java (>= 2.4.0+dfsg),
         libjrosetta-java,
         liblucene8-java,
         libsaxonhe-java,
         libskinlf-java,
         scilab-minimal-bin (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: libscilab2-java (<< 5.4.1-4),
          scilab (<< 5.0),
          scilab-bin,
          scilab-minimal-bin (<< 5.4.1-3)
Breaks: libscilab2-java (<< 5.4.1-4),
        scilab-minimal-bin (<< 5.4.1-3)
Description: Scientific software package for numerical computations (all binary files)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 .
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains the architecture specific binary files.

Package: scilab-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: Scientific software package (English documentations)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains demos, examples and help pages.

Package: scilab-doc-fr
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: scilab-doc,
         ${misc:Depends}
Description: Scientific software package (French documentation)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich
 data structures (including polynomials, rationals, linear systems, lists,
 etc...) and comes with a number of specific toolboxes for
 control, signal processing, ...
 .
 This package also provides Xcos, a graphical editor to design hybrid
 dynamical systems models. Models can be designed, loaded, saved, compiled and
 simulated.
 Stable and efficient solution for industrial and academics needs, Xcos
 provides functionalities for modeling of mechanical systems (automotive,
 aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
 etc. Modelica capabilities are also provided.
 .
 This package contains help pages in French.

Package: scilab-doc-pt-br
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: scilab-doc,
         ${misc:Depends}
Description: Scientific software package (Brazilian Portuguese documentation)
 Scilab is a matrix-based scientific software package.
 Scilab contains hundreds of built-in mathematical functions, rich

=== debian/tests/control ===
# Excluding s390x from the test architectures as jogl2 fails to find a
# compatible configuration at runtime.

Tests: graphical-sa
Depends: scilab, xvfb, xauth
Architecture: !s390x
Restrictions: allow-stderr

Tests: cli-ode
Depends: build-essential, scilab-cli
Architecture: !s390x

## scilab 2024.1.0+dfsg1

=== debian/changelog ===
scilab (2024.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 2024.1.0+dfsg1:
    This is the same version than 2024.1.0+dfsg, without the embedded copies
    of ezxml, removed for security reasons. This fixes the following CVE:
    CVE-2022-30045 CVE-2021-31598 CVE-2021-31348 CVE-2021-31347 CVE-2021-31229
    CVE-2021-30485 CVE-2021-26222 CVE-2021-26221 CVE-2021-26220 CVE-2019-20202
    CVE-2019-20201 CVE-2019-20200 CVE-2019-20199 CVE-2019-20198 CVE-2019-20007
    CVE-2019-20006 CVE-2019-20005
    (Closes: #989364, #1014391)
  * Removing code that invokes ezxml
  * Using the UTF-8 suffix when calling scilab to build the documentation
    (Closes: #1106083)
  * Raising Standards version to 4.7.3:
    - Removing Priority: optional, which is default
    - Removing R-R-R: no, which is now default
  * Rewriting d/watch with version 5

  [ Alexandre Detiste ]
  * Fix team name in d/control

 -- Pierre Gruet <pgt@debian.org>  Thu, 29 Jan 2026 21:02:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: scilab
 Section: math
-Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>,
            Pierre Gruet <pgt@debian.org>
 Build-Depends: debhelper-compat (= 13),
@@ -70,8 +69,7 @@
                ant-optional <!nocheck>,
                junit4 <!nocheck>,
                libcobertura-java <!nocheck>
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://www.scilab.org
 Vcs-Git: https://salsa.debian.org/science-team/scilab.git
 Vcs-Browser: https://salsa.debian.org/science-team/scilab
@@ -305,3 +303,4 @@
 Description: Scientific software package (Brazilian Portuguese documentation)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich
+ data structures (including polynomials, rationals, linear systems, lists,

=== debian/watch ===
Version: 5

Source: https://gitlab.com/scilab/scilab/tags?sort=updated_desc
Matching-Pattern: -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Compression: xz
Dversionmangle: auto
Repacksuffix: +dfsg
Searchmode: plain
Uversionmangle: s/-rc/~rc/
